<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host.interface">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="any,any-address,inet-address,link-local-address,loopback,loopback-address,multicast,nic,nic-match,not,point-to-point,public-address,site-local-address,subnet-match,up,virtual"/>
        <elem name="addr-params" value="host,interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.interface"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.network.interface.$interface"/>
    </provides>
    <refs>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="virtual" nillable="true"/>
        <param name="nic-match" nillable="true"/>
        <param name="any-address" nillable="true"/>
        <param name="nic" nillable="true"/>
        <param name="link-local-address" nillable="true"/>
        <param name="interface" feature-id="true"/>
        <param name="subnet-match" nillable="true"/>
        <param name="any" nillable="true"/>
        <param name="multicast" nillable="true"/>
        <param name="inet-address" nillable="true"/>
        <param name="loopback-address" nillable="true"/>
        <param name="not" nillable="true"/>
        <param name="site-local-address" nillable="true"/>
        <param name="point-to-point" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="public-address" nillable="true"/>
        <param name="up" nillable="true"/>
        <param name="loopback" nillable="true"/>
    </params>
</feature-spec>